//@ sourceURL=documentosAportados.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */
jQuery(function($){
	window.cargarDocumentosAportados  =  () => {
		var tipificar_dialog_feedback = $("#rup_feedback_tipificar_documentos");
		var docus_feedback = $("#rup_feedback_dialogTramitacion");
		
		tipificar_dialog_feedback.rup_feedback (
				{
				  type: "ok",
				  block: false
				}
			);
		
		docus_feedback.rup_feedback (
				{
				  type: "ok",
				  block: false
				}
			);
		
		let tableColModels = [
			{
				name: "descripcionEs",
				index: "descripcionEs",
				editable: false,
				hidden: false,
				visible: idioma == 'es'
			},
			{
				name: "descripcionEu",
				index: "descripcionEu",
				editable: false,
				hidden: false,
				visible: idioma == 'eu'
			},	
			{
				name: "nombreDoc18",
				index: "nombreDoc18"
			},
			{
				name: "fEntrega18",
				index: "fEntrega18"
			}
	
		];
		
		if ( ! $.fn.DataTable.isDataTable( '#documentosAportadosEstudio' ) ) {
			var filterCombo = function(item, properties){
				var defaultProperties = {
					width: 'auto',			
					ordered: true,
					rowStriping: true,
					customClasses: ['select-material']
				}
				item.rup_combo($.extend(properties, defaultProperties));
			}
			
			$.downloadDocument = function(oid, nombreDoc){		
				if (oid != null
						&& oid != ''){
					var url = $.rup.CTX_PATH+"documentos/downloadDocument/"+oid+"?nombreDoc="+nombreDoc;
					window.open($.rup_utils.setNoPortalParam(encodeURI(url)));	
				}
			}
			
			 $.downloadTrace = function(oidTrace){
				 window.open($.rup_utils.setNoPortalParam($.rup.CTX_PATH+"documentos/getTraceCert/"+oidTrace));		
		        };
			let columnDefs = [];
			columnDefs[0] = { orderable: false, targets: [2] };
			columnDefs[1] = { orderable: false, targets: 1,
					render: function(data, type, rowData, settings){			           
				   		 if(rowData.iopTraceID){
							 return "<a href='javascript:$.downloadTrace(\"" + rowData.iopTraceID + "\");'>" + rowData.nombreDoc18 + "</a>";			   
						 }else if(rowData.oidDocumento){
							 return "<a href='javascript:$.downloadDocument(\"" + rowData.oidDocumento + "\",\""+rowData.nombreDoc18+"\");'>" + rowData.nombreDoc18 + "</a>";			   
						 }else{
							 return rowData.nombreDoc18;
						 }	        	
		    } };
			
			
			
			
			
	
			$("#documentosAportadosEstudio").rup_table({
				colReorder: {
					fixedColumnsLeft: 1
				},
				colModel: tableColModels,
				filterForm: '#documentosAportadosEstudio_noFilter_form',			
				filter: 'noFilter',
				select: {
		       		activate: true,
		       		deleteDoubleClick:true
		   		},
		     	buttons: {
					activate: false	
				},
				order: [[0, 'asc']],
				columnDefs:columnDefs
				,dom: 't<"container-fluid paginationContainer"' +
				  '<"row mx-0"' +
				  '<"col-6 order-3 text-right align-self-center col-sm-5 order-sm-2 col-xl-2 order-xl-1 text-xl-left">' +
				  '<"d-none"p>' +
				  '<"col-12 text-center"i>' +
				  '>' +
				  '>' +
				  'r',
				  columnOrderArrows: {
					    showOnlyActive: false,
					    display: 'inline'
					}
			});
			$('#documentosAportadosEstudio').on('tableButtonsAfterToolbarInit', function (event, ctx) {//siempre el boton deshabilitado al inicio
				$('#callIOPBtn').prop('disabled', true);
				$('#tipificar').prop('disabled', true);
				
			});
			
			$('#documentosAportadosEstudio').on("click",function(ctxAux) {
	
				let ctx = $("#tramitesexpediente").rup_table('getContext');
				let dato = undefined;
				if(ctx){
					let linea = ctx.multiselection.selectedRowsPerPage[0].line;
					dato = ctx.json.rows[linea];
				}
				
				if(dato != undefined && dato.fRealizacion40 != null){
					$("#callIOPBtn").prop('disabled', true);
					$('#tipificar').prop('disabled', true);
				}else{
					if($('#documentosAportadosEstudio').rup_table("getSelectedIds").length==0){
						$("#callIOPBtn").prop('disabled', true);
					}else{
						var docu = $('#documentosAportadosEstudio').rup_table("getSelectedRows"); 
						if(docu.conServicioIOP){					
							$("#callIOPBtn").prop('disabled', false);
						
						}else{
							$("#callIOPBtn").prop('disabled', true);
						}
					}
				}
				
				
	
			});
			
		}else{
			$("#documentosAportadosEstudio").rup_table("reload");
		}
	
	}
});